
package org.objectweb.fractal.bf.connectors.ws;

import org.objectweb.fractal.bf.proxies.AbstractStubComponentFactory;
import org.objectweb.fractal.bf.proxies.StubContentGenerator;

/**
 * A stub component factory implementation that uses {@link WsStubContentGenerator} to generate
 * the content of the stub component.
 *
 */
public class WsConnectorStubComponentFactoryImpl
    extends AbstractStubComponentFactory
{

  /**
   * @see org.objectweb.fractal.bf.proxies.AbstractStubComponentFactory#getStubContentGenerator()
   */
  @Override
  protected StubContentGenerator getStubContentGenerator()
  {

    return new WsStubContentGenerator();
  }


}
