
package org.objectweb.fractal.bf.connectors.ws;

import java.lang.reflect.InvocationHandler;

import org.objectweb.fractal.bf.proxies.AbstractDynamicProxyStubContentGenerator;

/**
 * A WsStubContentGenerator using the {@link SoapCxfInvocationHandler} invocation handler.
 *
 */
public class WsStubContentGenerator extends AbstractDynamicProxyStubContentGenerator
{
  
  public WsStubContentGenerator() {
   
  }
  
  /**
   * @see org.objectweb.fractal.bf.proxies.AbstractDynamicProxyStubContentGenerator#createInvocationHandler(java.lang.String, java.lang.Class)
   */
  @Override
  protected InvocationHandler createInvocationHandler(String address,
      Class<?> clazz)
  {
    return new SoapCxfInvocationHandler(address, clazz);
  }

  /**
   * @see org.objectweb.fractal.bf.proxies.AbstractDynamicProxyStubContentGenerator#createInvocationHandler(java.lang.String[], java.lang.Class)
   */
  @Override
  protected InvocationHandler createInvocationHandler(String[] params,
      Class<?> clazz)
  {
    return createInvocationHandler(params[0], clazz);
  }



}
